Problems in updating LUTs and installing OCSSW processor

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
masudocn02
Posts: 11
Joined: Tue Jan 24, 2023 11:03 am America/New_York
Answers: 0

Problems in updating LUTs and installing OCSSW processor

by masudocn02 » Tue Jan 31, 2023 6:49 pm America/New_York

Hello everyone,

I installed the new version 8.3.0 of SeaDas on my MacBookPro (macMonterey, Version 12.5.1). When I am trying to update the LUTs, it fails to update. Also, if I try to install the SeaDas processor using GUI (“Install/Update SeaDAS Processors”), it shows the following errors:

execution exception: java.io.lOException: install_ocssw failed with exit code 1
Check log for more details.
Traceback (most recent call last):
File "/var/folders/jl/q2d4|xg14wgg02lmckhyln300000gr/T/install_ocssw"
import manifest as mf
File "/private/var/folders/jl/q2d41xg14wgg02lmckhyln300000gr/T/manifest.
import requests
ModuleNotFoundError: No module named 'requests'

I followed the installation process on the link https://github.com/seadas/seadas-toolbox/wiki/SeaDAS-8.x-Download,-Installation-and-Run-Instructions and all the requirements are satisfied for the installation.

I am wondering if there are any conflicts between the SeaDas version and my Mac version. I was able to update the LUTs and install the OCSSW processor on this machine for SeaDas version 8.1.0. However, on that version, the processor for the VIIRS product was now working. So, I switched to the latest version 8.3.0. BTW, I also reinstalled the python “requests” packages and SeaDas to check if there is a conflict between them.

I have also gone through some related posts here, but it didn’t help. Does anyone have any thoughts on this?
Any help will be highly appreciated.

Tags:

OB SeaDAS - xuanyang02
Subject Matter Expert
Subject Matter Expert
Posts: 650
Joined: Tue Feb 09, 2021 5:42 pm America/New_York
Answers: 1
Been thanked: 2 times

Re: Problems in updating LUTs and installing OCSSW processor

by OB SeaDAS - xuanyang02 » Wed Feb 01, 2023 11:27 am America/New_York

In SeaDAS 8.3.0 GUI, can you do SeaDAS-Toolbox -> Software & System Info and post the result here?

"ModuleNotFoundError: No module named 'requests'" indicates SeaDAS can't find "requests''. It's probably due to some environment variable not setting up correctly.

There are a few posts on that might be helpful --
viewtopic.php?t=3183
viewtopic.php?t=2198&sid=54a11ef9c642de22a38171b607cf9aaf&start=40

SeaDAS 8.3.0 should work with mac Monterey Version 12.5.1

Did you mean "the processor for the VIIRS product was not working" with the SeaDAS processors that was installed with SeaDAS 8.1.0 GUI?

masudocn02
Posts: 11
Joined: Tue Jan 24, 2023 11:03 am America/New_York
Answers: 0

Re: Problems in updating LUTs and installing OCSSW processor

by masudocn02 » Wed Feb 01, 2023 1:57 pm America/New_York

The Software & System Info and post the result ->>>>
-----------------------------------------------------------
Main Application Platform:
-----------------------------------------------------------
Application Version: SeaDAS 8.3.0
SNAP Engine Version: 9.0.3* (SeaDAS Platform modified)
SNAP Desktop Version: 9.0.3* (SeaDAS Platform modified)
SNAP Engine Build Date: 202212081832
SNAP Desktop Build Date: 202212081837
Installation Directory: /Users/masud/SeaDAS
Data Directory: /Users/masud/.seadas8
Configuration: /Users/masud/SeaDAS/etc/snap.properties
VM Configuration: /Users/masud/SeaDAS/etc/seadas.conf
WARNING!! File '/Users/masud/SeaDAS/etc/seadas.conf' does not exist
VM Configuration: /Users/masud/SeaDAS/etc/snap.conf
WARNING!! File '/Users/masud/SeaDAS/etc/snap.conf' does not exist
VM Configuration (gpt): /Users/masud/SeaDAS/bin/gpt.vmoptions
VM Configuration (pconvert): /Users/masud/SeaDAS/bin/pconvert.vmoptions
Runtime Configuration: /Users/masud/.seadas8/etc/snap.properties
Runtime Configuration (SeaDAS Toolbox): /Users/masud/.seadas8/etc/seadas.properties
JRE: Java(TM) SE Runtime Environment 1.8.0_201-b09
JVM: Java HotSpot(TM) 64-Bit Server VM by Oracle Corporation
Memory: 3641 MiB
OCSSWROOT (Java Env): null
Python3 Directory: /Users/masud/opt/miniconda3/bin/python3


-----------------------------------------------------------
SeaDAS Toolbox:
-----------------------------------------------------------
SeaDAS Toolbox Version: 1.3.0
SeaDAS Toolbox Build Date: 202212081844
Configuration: /Users/masud/.seadas8/etc/seadas.properties
OCSSW Root Directory: /Users/masud/SeaDAS
OCSSW Log Directory: /
OCSSW Location: local
Environment {$OCSSWROOT} (external): null


-----------------------------------------------------------
NASA Science Processing (OCSSW):
-----------------------------------------------------------
Environment {$OCSSWROOT}: /Users/masud/SeaDAS
Environment {$OCDATAROOT}: /Users/masud/SeaDAS/share
l2gen version: msl12 9.6.0-V2022.2 (Nov 28 2022 12:24:20)
l2bin version: 7.0.3
l3bin version: 5.13
l3mapgen version: l3mapgen 2.3.0-V2022.2 (Nov 28 2022 12:25:33)
Installed Missions: ['hawkeye', 'aqua', 'terra', 'viirsn', 'viirsj1', 'viirsdem']


-----------------------------------------------------------
General System and Software:
-----------------------------------------------------------
Operating system: MacOS 10.16
Java version: 16.0.2
Python3 version: 3.9.5
Python3 Path: /Users/masud/opt/miniconda3/bin/python3
Env: ASAP_PARMS=/Users/masud/SeaDAS/share/common/nav
CC=gcc
COMMAND_MODE=unix2003
CONDA_DEFAULT_ENV=base
CONDA_EXE=/Users/masud/opt/miniconda3/bin/conda
CONDA_PREFIX=/Users/masud/opt/miniconda3
CONDA_PROMPT_MODIFIER=(base)
CONDA_PYTHON_EXE=/Users/masud/opt/miniconda3/bin/python
CONDA_SHLVL=1
CXX=g++
DISPLAY=/private/tmp/com.apple.launchd.kSd7Z1GIFd/org.xquartz:0
ELEMENTS=/Users/masud/SeaDAS/var/seawifs
EOS_LIB_PREFIX=macintel64
FC=gfortran
GCC_TUNE=
HDFEOS_LIB=/Users/masud/SeaDAS/opt/EOS/lib/macintel64
HOME=/Users/masud
HRPT_STATION_IDENTIFICATION_FILE=/Users/masud/SeaDAS/share/seawifs/station/station_id.dat
J2D_PIXMAPS=shared
JAVA_MAIN_CLASS_59668=org.netbeans.Main
L2GEN_ANC=/Users/masud/SeaDAS/var/anc
LC_CTYPE=UTF-8
LD_LIBRARY_PATH=/Users/masud/SeaDAS/jre1.8.0_201.jre/Contents/Home/jre/lib/amd64:/Users/masud/SeaDAS/jre1.8.0_201.jre/Contents/Home/jre/lib/i386:
LIB3_BIN=/Users/masud/SeaDAS/opt/bin
LIB3_CHECK=0
LIB3_DIR=/Users/masud/SeaDAS/opt
LIB3_INC=/Users/masud/SeaDAS/opt/include
LIB3_LIB=/Users/masud/SeaDAS/opt/lib
LOGNAME=masud
NAVCTL=/Users/masud/SeaDAS/share/seawifs/nav
NAVQC=/Users/masud/SeaDAS/share/seawifs/nav
OCDATAROOT=/Users/masud/SeaDAS/share
OCSSWROOT=/Users/masud/SeaDAS
OCSSW_ARCH=macosx_intel
OCSSW_BIN=/Users/masud/SeaDAS/bin
OCSSW_DEBUG=0
OCTS_REGISTRATION_TABLES=/Users/masud/SeaDAS/share/octs/nav
OCVARROOT=/Users/masud/SeaDAS/var
ORBCTL=/Users/masud/SeaDAS/share/seawifs/nav
PATH=/Users/masud/SeaDAS/opt/bin:/Users/masud/SeaDAS/bin:/Users/masud/opt/miniconda3/bin:/Users/masud/opt/miniconda3/condabin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin
PGSINC=/Users/masud/SeaDAS/opt/EOS/include
PGSLIB=/Users/masud/SeaDAS/opt/EOS/lib/macintel64
PROJ_LIB=/Users/masud/SeaDAS/opt/share/proj
PWD=/
SHELL=/bin/zsh
SHLVL=3
SSH_AUTH_SOCK=/private/tmp/com.apple.launchd.s1EHwWdtfq/Listeners
SWFTBL=/Users/masud/SeaDAS/share/seawifs/qc
SWTBL=/Users/masud/SeaDAS/share/seawifs
TMPDIR=/var/folders/jl/q2d4lxg14wgg02lmckhyln300000gr/T/
USER=masud
XPC_FLAGS=0x0
XPC_SERVICE_NAME=0
_=/usr/bin/env
_CE_CONDA=
_CE_M=
__CFBundleIdentifier=gov.nasa.gsfc.seadas
__CF_USER_TEXT_ENCODING=0x1F8:0x0:0x0

Did you mean "the processor for the VIIRS product was not working" with the SeaDAS processors that was installed with SeaDAS 8.1.0 GUI? -->> Yes. I didn't know why, then I switched to the new version od SeaDas 8.3.0.

Previous threads:
There are a few posts on that might be helpful --
viewtopic.php?t=3183
viewtopic.php?t=2198&sid=54a11ef9c642de22a38171b607cf9aaf&start=40

-->> I went through these pages and reinstalled the python package "requests" by conda install. Still it does not work.

OB SeaDAS - xuanyang02
Subject Matter Expert
Subject Matter Expert
Posts: 650
Joined: Tue Feb 09, 2021 5:42 pm America/New_York
Answers: 1
Been thanked: 2 times

Re: Problems in updating LUTs and installing OCSSW processor

by OB SeaDAS - xuanyang02 » Wed Feb 01, 2023 4:06 pm America/New_York

If you have another copy of python3 in /usr/local/bin/, it might be easier to point SeaDAS to use that copy of python3 by adding this line

export PATH="/usr/local/bin/python3:$PATH"

to your bash file.

And then run:

Code: Select all

/usr/local/bin/pip3 install requests
If you still want to use /Users/masud/opt/miniconda3/python3, you should ask your system administrator to make sure you actually have requests module installed in /Users/masud/opt/miniconda3/pkgs/

gnwiii
Posts: 713
Joined: Fri Jan 29, 2021 5:51 pm America/New_York
Answers: 2
Has thanked: 1 time

Re: Problems in updating LUTs and installing OCSSW processor

by gnwiii » Sun Feb 05, 2023 1:18 pm America/New_York

OB SeaDAS - xuanyang02 wrote: Wed Feb 01, 2023 4:06 pm America/New_York If you have another copy of python3 in /usr/local/bin/, it might be easier to point SeaDAS to use that copy of python3 by adding this line

export PATH="/usr/local/bin/python3:$PATH"

to your bash file.
`PATH` entries should be directories, so I think you meant

Code: Select all

export PATH="/usr/local/bin:$PATH"
.
Also, recent macOS version use the

Code: Select all

zsh
shell (the license doesn't allow Apple to distribute current bash or GCC versions).

gnwiii
Posts: 713
Joined: Fri Jan 29, 2021 5:51 pm America/New_York
Answers: 2
Has thanked: 1 time

Re: Problems in updating LUTs and installing OCSSW processor

by gnwiii » Sun Feb 05, 2023 2:08 pm America/New_York

masudocn02 wrote: Wed Feb 01, 2023 1:57 pm America/New_York [...]The Software & System Info and post the result ->>>>

Previous threads:
There are a few posts on that might be helpful --
viewtopic.php?t=3183
viewtopic.php?t=2198&sid=54a11ef9c642de22a38171b607cf9aaf&start=40

-->> I went through these pages and reinstalled the python package "requests" by conda install. Still it does not work.

Do you get the error if you run

Code: Select all

/usr/bin/env python3 -c "import requests"
in a terminal?

You might get more details to diagnose the issue by running

Code: Select all

install_ocssw
in a terminal.

masudocn02
Posts: 11
Joined: Tue Jan 24, 2023 11:03 am America/New_York
Answers: 0

Re: Problems in updating LUTs and installing OCSSW processor

by masudocn02 » Tue Feb 14, 2023 6:29 pm America/New_York

Hello,
Running the following code in the terminal doesn't give any error.
/usr/bin/env python3 -c "import requests"

However, running this in the terminal,
install_ocssw

zsh: command not found: install_ocssw

I followed the manual installation process of OCSSW based on the following page:
https://seadas.gsfc.nasa.gov/downloads/

gnwiii
Posts: 713
Joined: Fri Jan 29, 2021 5:51 pm America/New_York
Answers: 2
Has thanked: 1 time

Re: Problems in updating LUTs and installing OCSSW processor

by gnwiii » Wed Feb 15, 2023 8:12 am America/New_York

masudocn02 wrote: Tue Feb 14, 2023 6:29 pm America/New_York Running the following code in the terminal doesn't give any error.
/usr/bin/env python3 -c "import requests"

However, running this in the terminal,
install_ocssw

zsh: command not found: install_ocssw
Problems like this are all too common. It is difficult to provide a recipe that works for every OS version, but the changes are usually simple once you have learned some command-line basics. For practical sessions in ocean remote sensing workshops we found it worth spending a couple afternoons introducing the command line for linux and macOS. There are many good online tutorials (some available in languages other than english). https://linuxcommand.org is one example that has been translated. It uses bash, but much of it also applies to zsh.

The manual installation page has:

Code: Select all

export OCSSWROOT=[SeaDAS_install_dir]/ocssw
source $OCSSWROOT/OCSSW_bash.env
If you didn't install the ocssw tools in your "SeaDAS_install_dir" you need to modify this to

Code: Select all

export OCSSWROOT=[ocssw_install_dir]
source $OCSSWROOT/OCSSW_bash.env
For macOS with zsh you would add the appropriate version of the above lines to your "$HOME/.zshrc" file. I currently use zsh on a linux system and the "OSCCW_bash.env" file is compatible with zsh (previous versions needed some simple tweaks).

masudocn02
Posts: 11
Joined: Tue Jan 24, 2023 11:03 am America/New_York
Answers: 0

Re: Problems in updating LUTs and installing OCSSW processor

by masudocn02 » Wed Feb 15, 2023 8:33 pm America/New_York

Hi there!
Yes, I got that fixed. I exactly don't know what was the issue. Firstly, I uninstalled all versions of python Anaconda and miniconda, and java. Then reinstalled again in the command line. Then i tried the manual process of OCSSW processor in the command line. Finally, it was successful!!!

Thank you so much!

Best,
Masud

Post Reply